Bug 1834530 - upgrade certbot stack to 1.4 in EPEL 8
Summary: upgrade certbot stack to 1.4 in EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: certbot
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-11 21:07 UTC by Felix Schwarz
Modified: 2020-06-26 07:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-26 07:27:15 UTC
Type: Bug


Attachments (Terms of Use)
test failure in EPEL 8 (11.21 KB, text/plain)
2020-05-11 21:07 UTC, Felix Schwarz
no flags Details

Description Felix Schwarz 2020-05-11 21:07:05 UTC
Created attachment 1687462 [details]
test failure in EPEL 8

Test suite for python-acme fails:

   OpenSSL.SSL.Error: [('SSL routines', 'SSL_CTX_use_certificate', 'ee key too small')]

I assume this is due to some security hardening in RHEL 8. The test suite passes if I create an isolated virtualenv on CentOS 8.

Comment 1 Felix Schwarz 2020-05-11 21:29:28 UTC
problematic test was introduced in upstream commit https://github.com/certbot/certbot/commit/07abe7a8d68961042ee301039dd4da87306cb1a0

commit 07abe7a8d68961042ee301039dd4da87306cb1a0
Author: Adrien Ferrand <adferrand@users.noreply.github.com>
Date:   Thu Mar 12 21:53:19 2020 +0100

    Reimplement tls-alpn-01 in acme (#6886)
    
    This PR is the first part of work described in #6724.

Comment 2 Felix Schwarz 2020-05-12 10:19:01 UTC
Upstream issue: https://github.com/certbot/certbot/issues/7985

Comment 3 Fedora Update System 2020-05-13 10:52:47 UTC
FEDORA-EPEL-2020-d6d206667a has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d6d206667a

Comment 4 Fedora Update System 2020-05-14 09:59:34 UTC
FEDORA-EPEL-2020-d6d206667a has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d6d206667a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-05-27 03:17:47 UTC
FEDORA-EPEL-2020-d6d206667a has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Felix Schwarz 2020-06-26 07:27:15 UTC
update was pushed to stable a while ago


Note You need to log in before you can comment on or make changes to this bug.